GET /nodes

phylopic.org:phylopic-api

Summary: Lists all nodes, or a filtered subset.
Operation ID: getNodes
Auth: unknown
Description

Nodes are listed with the most basal node first, followed by subclades in order from smallest to largest. If `filter_name` is passed, the nodes with names matching the search text are listed according to how early in the name the search text appears.

Parameters (9)

Accept (string, header, optional)

The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.

build (integer, query, optional)

Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.

embed_childNodes (string, query, optional)

If `"true"`, includes all members of `childNodes` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_items (string, query, optional)

If `"true"`, includes `items` in `_embedded`. (This is a prerequisite for including any embeds on the items themselves.)

Constraints: {'pattern': '^true$'}

embed_parentNode (string, query, optional)

If `"true"`, includes `parentNode` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_primaryImage (string, query, optional)

If `"true"`, includes `primaryImage` in `_embedded`.

Constraints: {'pattern': '^true$'}

filter_collection (string, query, optional)

Limits results to entities within the specified collection. Cannot be used alongside other `filter_*` parameters (except `filter_license_*` for images).

Constraints: {'pattern': '^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$'}

filter_name (string, query, optional)

Limits results to entries matching a given name. The name should be normalized (all lower-case letters or hyphens, no diacritics, single spaces between words). Cannot be used alongside other `filter_*` parameters (except `filter_license_*`).

Constraints: {'pattern': '^([a-z-]+ )*[a-z-]+$'}

page (integer, query, optional)

Specifies a particular page of items to retrieve.

Examples (4)

TitleTypeURLAction
List all nodes (basic request) curl http://phylopic.org/api/nodes
Search nodes by name curl http://phylopic.org/api/nodes?filter_name=canis
Get nodes with embedded images and pagination curl http://phylopic.org/api/nodes?page=1&embed_items=true&embed_primaryImage=true
List taxonomic nodes openapi-spec https://api.phylopic.org/nodes?filter_name=primates

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:32:00.816761 404 336ms
2026-03-23 10:24:43.063461 200 115ms
2026-03-23 10:21:13.183241 404 206ms
2026-03-23 10:19:30.026761 404 793ms

Response Changes

WhenOldNew
2026-03-23 10:24:43.063461 e45f162b440d 45f3acf8327b
2026-03-23 10:32:00.816761 45f3acf8327b e45f162b440d